Function
createQGramIndexDirOnly
Builds the directory of a q-gram index on a sequence.
createQGramIndexDirOnly(dir, bucketMap, text, shape, stepSize)
Include Headers
seqan/index.h
Parameters

dir | The resulting array that indicates at which position in index the corresponding q-grams can be found.
bucketMap | Stores the q-gram hashes for the openaddressing hash maps, see indexBucketMap. If bucketMap is of the type Nothing the q-gram hash determines the bucket address in the index.
text | The sequence.
shape | The shape to be used. Types: Shape
stepSize | Store every stepSize'th q-gram in the index.

Remarks
This function should not be called directly. Please use indexCreate or indexRequire. The resulting tables must have appropriate size before calling this function.
Return Values
Index contains the sorted list of qgrams. For each possible q-gram pos contains the first position in index that corresponds to this q-gram.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47